package com.ozs.entity.response;

import lombok.Data;

import java.util.List;

/**
 * @author Administrator
 */
@Data
public class PreAlarmResponse {
    /**
     * 机车号
     */
    private Integer trainId;
    /**
     * 预警病害类型
     */
    private Integer preAlarmType;
    /**
     * 预警目标个数
     */
    private Integer preAlarmNum;
    /**
     * 预警时间
     */
    private Long preAlarmTime;
    /**
     * 预警目标集合
     */
    private List<PreAlarmList> preAlarmList;


    @Data
    public static class  PreAlarmList{
        /**
         * 预警目标点类型
         */
        private Integer targetType;
        /**
         * 预警级别
         */
        private Integer level;
        /**
         * 目标点离机车的距离
         */
        private Integer distance;
        /**
         * 预警内容
         */
        private String  content;
    }
}
